Spark Configuration - Rename Spark Configuration
Renames a sparkConfiguration.
POST {endpoint}/sparkconfigurations/{sparkConfigurationName}/rename?api-version=2021-06-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
The workspace development endpoint, for example |
|
spark
|
path | True |
string |
The spark Configuration name. |
|
api-version
|
query | True |
string |
The Synapse client API Version. |
Request Body
| Name | Type | Description |
|---|---|---|
| newName |
string minLength: 1maxLength: 260 pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$ |
New name of the artifact. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. |
|
| 202 Accepted |
Accepted. |
|
| Other Status Codes |
An error response received from the Azure Synapse service. |
Examples
SparkConfigurations_Rename
Sample request
POST exampleWorkspace.dev.azuresynapse.net/sparkconfigurations/exampleSparkConfiguration/rename?api-version=2021-06-01-preview
{
"newName": "newSparkConfiguration"
}
Sample response
Definitions
| Name | Description |
|---|---|
|
Artifact |
Request body structure for rename artifact. |
|
Cloud |
The object that defines the structure of an Azure Synapse error response. |
ArtifactRenameRequest
Request body structure for rename artifact.
| Name | Type | Description |
|---|---|---|
| newName |
string minLength: 1maxLength: 260 pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$ |
New name of the artifact. |
CloudError
The object that defines the structure of an Azure Synapse error response.
| Name | Type | Description |
|---|---|---|
| error.code |
string |
Error code. |
| error.details |
Array with additional error details. |
|
| error.message |
string |
Error message. |
| error.target |
string |
Property name/path in request associated with error. |